Skip to main content

Get Dashboard

GET 

/api/pinnacle/instances/:instance/dashboard

Returns summary metrics for the instance without calling Pinnacle: order counts (awaiting_pickup = registered or pickup scheduled; in_transit = picked up, at hub or delivery scheduled; registration_failed; delivered in the last 30 days; with_exception; total), per-status counts, connection health, webhook health for the last 24 hours, the last orders / tracking / proof-of-delivery sync times, the 10 most recent tracking events and the 5 most recently updated orders.

Not yet available to API tokens

This endpoint currently requires session authentication; Personal Access Token scope support is in progress.

Authentication: requires a Bearer token (Personal Access Token).

Request​

Responses​

OK

Response Headers
    Content-Type